<?php
/**
 * Kunena Component
 * @package Kunena.Administrator.Template
 * @subpackage Users
 *
 * @copyright (C) 2008 - 2014 Kunena Team. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.org
 **/
defined ( '_JEXEC' ) or die ();

/** @var KunenaAdminViewUsers $this */

JHtml::_('behavior.tooltip');
JHtml::_('behavior.multiselect');

?>

<script type="text/javascript">
	Joomla.orderTable = function() {
		var table = document.getElementById("sortTable");
		var direction = document.getElementById("directionTable");
		var order = table.options[table.selectedIndex].value;
		if (order != '<?php echo $this->listOrdering; ?>') {
			var dirn = 'asc';
		} else {
			var dirn = direction.options[direction.selectedIndex].value;
		}
		Joomla.tableOrdering(order, dirn, '');
	}
</script>

<div id="kunena" class="admin override">
	<div class="container-fluid">
		<div class="row-fluid">
			<div class="span12">
				<div id="j-sidebar-container" class="span2">
					<div id="sidebar">
						<div class="sidebar-nav"><?php include KPATH_ADMIN.'/template/joomla25/common/menu.php'; ?></div>
					</div>
				</div>
				<div id="j-main-container" class="span10">					
					<div class="tab-content">
						<div id="tab1" class="tab-pane active">
							<form action="<?php echo KunenaRoute::_('administrator/index.php?option=com_kunena&view=usertypes') ?>" method="post" id="adminForm" name="adminForm">								
								<input type="hidden" name="task" value="" />
								<input type="hidden" name="filter_order" value="<?php echo $this->listOrdering ?>" />
								<input type="hidden" name="filter_order_Dir" value="<?php echo $this->listDirection ?>" />
								<input type="hidden" name="boxchecked" value="0" />
								<?php echo JHtml::_( 'form.token' ); ?>

								<table class="table table-striped">
									<thead>
										<tr>
          						<th width="1%" class="nowrap center"><input type="checkbox" name="toggle" value="" onclick="Joomla.checkAll(this)" /></th>
          						<th><?php echo JHtml::_('grid.sort', 'COM_KUNENA_USERTYPES_NAME', 'username', $this->state->get('list.direction'), $this->state->get('list.ordering') ); ?></th>
          						<th class="hidden-phone"><?php echo JHtml::_('grid.sort', 'COM_KUNENA_USERTYPES_LANGUAGE_STRING', 'email', $this->state->get('list.direction'), $this->state->get('list.ordering') ); ?></th>	
                      <th class="hidden-phone"><?php echo JHtml::_('grid.sort', 'COM_KUNENA_USERTYPES_JOOMLA_GROUP_ID', 'email', $this->state->get('list.direction'), $this->state->get('list.ordering') ); ?></th>	
                      <th class="hidden-phone"><?php echo JHtml::_('grid.sort', 'COM_KUNENA_USERTYPES_RANK_ASSOCIATED', 'email', $this->state->get('list.direction'), $this->state->get('list.ordering') ); ?></th>						
          					</tr>
										
									</thead>
									<tfoot>
										<tr>
											<td colspan="14">
												<?php echo KunenaLayout::factory('pagination/footer')->set('pagination', $this->pagination); ?>
											</td>
										</tr>
									</tfoot>
									<tbody>
									<?php
				$i = 0;
				$img_no = '<i class="icon-cancel"></i>';
				$img_yes = '<i class="icon-checkmark"></i>';
				
				if ( !empty($this->usertypes)  ):
        foreach($this->usertypes as $type) :				
				?>
					<tr>
            <td>
							<?php echo JHtml::_('grid.id', $i, $type->action['id']) ?>
						</td>
						<td>
							<?php echo $type->action['name'] ?>
						</td>
						<td>
							<?php echo JText::_($type->action['title']) ?>
						</td>
            <td>
							<?php if ( $type->action['joomla_group_id'] != 0 ) echo $type->action['joomla_group_id'];
              else echo 'Affecté à aucun groupe de Joomla!'; ?>
						</td>
            <td>
							<?php if ($type->action['rankid_associated']==0 ) echo 'Aucun rang associé'; 
              else echo $type->action['rankid_associated'] ?>
						</td>						
					</tr>
				<?php $i++;
				endforeach;
				else : ?>
					<tr>
						<td colspan="10">
							<div class="well center filter-state">
								<span><?php echo JText::_('COM_KUNENA_FILTERACTIVE'); ?>
									<?php /*<a href="#" onclick="document.getElements('.filter').set('value', '');this.form.submit();return false;"><?php echo JText::_('COM_KUNENA_FIELD_LABEL_FILTERCLEAR'); ?></a> */?>
									<button class="btn" type="button"  onclick="document.getElements('.filter').set('value', '');this.form.submit();"><?php echo JText::_('COM_KUNENA_FIELD_LABEL_FILTERCLEAR'); ?></button>
								</span>
							</div>
						</td>
					</tr>
        <?php endif; ?>
									</tbody>
								</table>
							</form>
						</div>
						<div id="tab2" class="tab-pane">
							<form action="<?php echo KunenaRoute::_('administrator/index.php?option=com_kunena') ?>" id="uploadForm" method="post" enctype="multipart/form-data" >
								<input type="hidden" name="view" value="smilies" />
								<input type="hidden" name="task" value="smileyupload" />
								<input type="hidden" name="boxchecked" value="0" />
								<?php echo JHtml::_( 'form.token' ); ?>

								<input type="file" id="file-upload" name="Filedata" />
								<input type="submit" id="file-upload-submit" value="<?php echo JText::_('COM_KUNENA_A_START_UPLOAD'); ?>" />
							</form>
						</div>
					</div>
				</div>
				<div class="pull-right small">
					<?php echo KunenaVersion::getLongVersionHTML (); ?>
				</div>
			</div>
		</div>
	</div>
</div>

